<div fxLayout="row wrap">
    <div fxFlex.gt-sm="100" fxFlex="100">
        <mat-card>
            <mat-card-content>
                <!-- ============================================================== -->
                <!-- column -->
                <!-- basic-form ============================================================== -->
                <form #editForm="ngForm" [ngClass]="{'was-validated': formValid!==null}">
                    <!-- column -->
                    <div fxLayout="row wrap" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="Codigo Pago" [(ngModel)]="item.codigoPago" name="codigoPago"
                                #codigoPago="ngModel" disabled>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="Documento" [(ngModel)]="item.documento" name="documento"
                                #documento="ngModel">
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <mat-placeholder>Estado</mat-placeholder>
                            <select matNativeControl name="estado" id="estado" #estado="ngModel"
                                [(ngModel)]="item.estado">
                                <option value="PENDIENTE">
                                    PENDIENTE
                                </option>
                                <option value="VIGENTE">
                                    VIGENTE
                                </option>
                                <option value="CADUCADO">
                                    CADUCADO
                                </option>
                            </select>
                        </mat-form-field>
                    </div>
                    <mat-divider style="padding: 10px 0px;" [inset]="true"></mat-divider>
                    <div fxLayout="row wrap" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <mat-label>fecha Pago</mat-label>
                            <input matInput [matDatepicker]="fechaPagoP" placeholder="Fecha Fin"
                                [(ngModel)]="item.fechaPago" name="fechaPago" #fechaPago="ngModel" disabled>
                            <mat-datepicker-toggle matSuffix [for]="fechaPagoP"></mat-datepicker-toggle>
                            <mat-datepicker #fechaPagoP></mat-datepicker>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="Nombres" [(ngModel)]="item.nombres" name="nombres"
                                #nombres="ngModel" disabled>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="Apellidos" [(ngModel)]="item.apellidos" name="apellidos"
                                #apellidos="ngModel" disabled>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="Plan" [(ngModel)]="item.planNombre" name="plan" #plan="ngModel"
                                disabled>
                        </mat-form-field>

                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="Cupón" [(ngModel)]="item.cupon" name="cupon" #cupon="ngModel"
                                disabled>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="Descuento" [(ngModel)]="item.descuento" name="descuento"
                                #descuento="ngModel" disabled>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="subtotal" [(ngModel)]="item.subtotal" name="subtotal"
                                #subtotal="ngModel" disabled>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="Iva" [(ngModel)]="item.iva" name="iva" #iva="ngModel" disabled>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <input matInput placeholder="total" [(ngModel)]="item.total" name="total" #total="ngModel"
                                disabled>
                        </mat-form-field>
                    </div>
                    
                    <mat-divider style="padding: 10px 0px;" [inset]="true"></mat-divider>
                    <div fxLayout="row wrap" fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <mat-label>Fecha Registro</mat-label>
                            <input matInput [matDatepicker]="fechaRegistroP" placeholder="Fecha Fin"
                                [(ngModel)]="item.fechaRegistro" name="fechaRegistro" #fechaRegistro="ngModel" disabled>
                            <mat-datepicker-toggle matSuffix [for]="fechaRegistroP"></mat-datepicker-toggle>
                            <mat-datepicker #fechaRegistroP></mat-datepicker>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <mat-label>Vigencia Fecha Inicio </mat-label>
                            <input matInput [matDatepicker]="vigenciaInicioP" placeholder="Fecha Fin"
                                [(ngModel)]="item.vigenciaInicio" name="vigenciaInicio" #vigenciaInicio="ngModel" disabled>
                            <mat-datepicker-toggle matSuffix [for]="vigenciaInicioP"></mat-datepicker-toggle>
                            <mat-datepicker #vigenciaInicioP></mat-datepicker>
                        </mat-form-field>
                        <mat-form-field fxFlex="32" fxFlex.xs="50">
                            <mat-label>Vigencia Fecha Fin</mat-label>
                            <input matInput [matDatepicker]="vigenciaFinP" placeholder="Fecha Fin"
                                [(ngModel)]="item.vigenciaFin" name="vigenciaFin" #vigenciaFin="ngModel" disabled>
                            <mat-datepicker-toggle matSuffix [for]="vigenciaFinP"></mat-datepicker-toggle>
                            <mat-datepicker #vigenciaFinP></mat-datepicker>
                        </mat-form-field>
                    </div>

                </form>
            </mat-card-content>
        </mat-card>
        <app-toolbar-button>
            <button mat-raised-button color="primary" (click)="save(editForm.valid!, item)">
                <mat-icon>save</mat-icon>Guardar
            </button>
            <button mat-raised-button color="secondary" (click)="goBack()">
                <mat-icon>keyboard_arrow_left</mat-icon>Regresar
            </button>
        </app-toolbar-button>
    </div>
</div>